⌘K

Gemini 4 Argon

gemini-4-argon

Gemini 4 Argon is Google's flagship reasoning model for complex software engineering, mathematical and scientific problem solving, and multi-step agent tasks. It accepts text, image, audio, video, and PDF inputs with text output. Input and output share a unified 1,048,576 token context window, with up to 65,536 output tokens per synchronous request.

API Notes

gemini-4-argon is generally available and accepts text, image, audio, video, and PDF inputs with text output

gemini-4-argon shares a unified 1,048,576 token context window across input, thinking, function calls, and the final response

gemini-4-argon supports up to 65,536 output tokens per synchronous request; Google’s non-streaming direct HTTP requests are limited to 32,768 output tokens

gemini-4-argon supports thinking levels LOW, MEDIUM, and HIGH, with MEDIUM as the default

gemini-4-argon long decode beyond 65,536 tokens requires Google’s Interactions API with background execution or GenerateContent API continuation

Authentication

authorization string required

All APIs require authentication via Bearer Token.

Get API Key:

Visit API Key Management Page to get your API Key.

Usage:

Add to request header:

Authorization: Bearer YOUR_API_KEY

Parameters

model string required

Model ID to use for the request

Value: gemini-4-argon


messages array required

Array of message objects representing the conversation history

role string required

Message role

Options: user, assistant, system, developer

content string | array required

Text string or OpenAI-compatible multimodal content array


max_tokens integer

Maximum output tokens, including thinking tokens, function calls, and the final response

Range: 1 - 65536


stream boolean

Whether to stream response incrementally


Response Format

id string

Unique identifier for the completion


object string

Object type, always chat.completion


created integer

Unix timestamp of creation time


model string

The model used for completion


choices array

Array of completion choices

index integer

Choice index

message object

The generated message

role string

Message role (always assistant)

content string

Generated text content

finish_reason string

Reason for completion termination


usage object

Token usage statistics

prompt_tokens integer

Number of tokens in the prompt

completion_tokens integer

Number of tokens in the completion

total_tokens integer

Total tokens used